<div class="Container">
    <h3 class="text-center"> Update Your Information </h3>

    <form [formGroup]="updateUserForm" (ngSubmit)="update()">
        <div class="form-group">
            <label for="name">Name:</label>
            <input 
                formControlName="name" 
                id="name" 
                type="text" 
                class="form-control"
                [(ngModel)]="userProfileUpdate.name">
            <small class="text-danger" *ngIf="name.invalid && (name.dirty || name.touched)">Enter a valid Name!</small>
        </div>
        <div class="form-group">
            <label for="lastName">Last Name:</label>
            <input 
                formControlName="lastName" 
                id="lastName" 
                type="text" 
                class="form-control"
                [(ngModel)]="userProfileUpdate.lastName">
            <small class="text-danger" *ngIf="lastName.invalid && (lastName.dirty || lastName.touched)">Enter a valid Name!</small>
        </div>
        <div class="form-group">
            <label for="email">Email:</label>
            <input 
                formControlName="email" 
                id="email" 
                type="text" 
                class="form-control"
                [(ngModel)]="userProfileUpdate.email">
            <small class="text-danger" *ngIf="email.invalid && (email.dirty || email.touched)">Enter a valid Name!</small>
        </div>
        <button class="btn btn-success my-3 btn-sm" type="submit" [disabled]="!updateUserForm.valid">Save</button>
    </form>
    <a href="#" [routerLink]="['/user/profile']" class="btn btn-light my-3 btn-sm">Back</a>
</div>

